EurodollarFuturesImpliedStdDevQuote Class Reference

quote for the Eurodollar-future implied standard deviation More...

`#include <ql/quotes/eurodollarfuturesquote.hpp>`

Inheritance diagram for EurodollarFuturesImpliedStdDevQuote:
[legend]

## Public Member Functions

| EurodollarFuturesImpliedStdDevQuote (const Handle< Quote > &forward, const Handle< Quote > &callPrice, const Handle< Quote > &putPrice, Real strike, Real guess=.15, Real accuracy=1.0e-6, Natural maxIter=100)
Quote interface
Real | value () const
| returns the current value
bool | isValid () const
| returns true if the Quote holds a valid value
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Protected Member Functions

void | performCalculations () const
Protected Member Functions inherited from LazyObject
virtual void | calculate () const

## Protected Attributes

Real | impliedStdev_
Real | strike_
Real | accuracy_
Natural | maxIter_
Handle< Quote > | forward_
Handle< Quote > | callPrice_
Handle< Quote > | putPrice_
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_

## Detailed Description

quote for the Eurodollar-future implied standard deviation

## Member Function Documentation

void performCalculations | ( |  | ) | const

protected virtual

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Implements LazyObject.